--COMBAT_LOG_EVENT_UNFILTERED
function(...)
	local se = select(3, ...)
	if se == "SPELL_CAST_START" then
		local spell = select(14, ...)
		if aura_env.spells[spell] == 1 then
			if spell == "Shattering Star" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Shattering Star.ogg","Master")
			elseif spell == "Infernal Burning" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Infernal Burning.ogg","Master")
			elseif spell == "Phangs of Guilt" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Phangs.ogg","Master")
			elseif spell == "Hatching" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Hatching.ogg","Master")
			elseif spell == "Incorporeal Shot" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Incorporeal Shot.ogg","Master")
			elseif spell == "Moon Glaive" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Moon Glaive.ogg","Master")
			elseif spell == "Burden of Pain" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Burden.ogg","Master")
			end
		end
	end
	if se == "SPELL_CAST_SUCCESS" then
		local spell = select(14, ...)
		if aura_env.casts[spell] == 1 then
			if spell == "Moon Burn" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Moon Burn.ogg","Master")
			elseif spell == "Glaive Storm" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Glaive Storm.ogg","Master")
			elseif spell == "Lunar Fire" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Lunar Fire.ogg","Master")
			elseif spell == "Slicing Tornado" then
				PlaySoundFile("Interface\\AddOns\\SharedMedia_MyMedia\\sound\\Slicing Tornado.ogg","Master")
			end
		end
	end
end

--INIT
aura_env.spells = 
{
	["Shattering Star"] = 1,
	["Infernal Burning"] = 1,
	["Phangs of Guilt"] = 1,
	["Hatching"] = 1,
	["Incorporeal Shot"] = 1,
	["Moon Glaive"] = 1,
	["Burden of Pain"] = 1,
}
aura_env.casts = 
{
	["Moon Burn"] = 1,
	["Glaive Storm"] = 1,
	["Lunar Fire"] = 1,
	["Slicing Tornado"] = 1,
}